red team
Create red team campaigns
Requires scopes: red_team:run
POST
/
api
/
red-team
/
campaigns
Create red team campaigns
curl --request POST \
--url https://evalgate.com/api/red-team/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"idempotencyKey": "<string>",
"target": {
"type": "prompt",
"artifactId": 123,
"versionId": 123,
"contentHash": "<string>",
"environment": "<string>"
},
"seed": 123,
"variants": [
{
"provider": "<string>",
"model": "<string>",
"key": "<string>",
"routingProfileId": "<string>",
"parameters": {}
}
],
"budget": {
"maxCostUsd": 123,
"maxModelCalls": 123,
"concurrency": 123
},
"scorers": [
{
"artifactId": 123,
"versionId": 123,
"contentHash": "<string>",
"required": false
}
],
"riskPackVersionIds": [
"<string>"
],
"description": "<string>",
"datasetVersionId": "<string>",
"ownerId": "<string>",
"createdFromRunId": "<string>"
}
'import requests
url = "https://evalgate.com/api/red-team/campaigns"
payload = {
"name": "<string>",
"idempotencyKey": "<string>",
"target": {
"type": "prompt",
"artifactId": 123,
"versionId": 123,
"contentHash": "<string>",
"environment": "<string>"
},
"seed": 123,
"variants": [
{
"provider": "<string>",
"model": "<string>",
"key": "<string>",
"routingProfileId": "<string>",
"parameters": {}
}
],
"budget": {
"maxCostUsd": 123,
"maxModelCalls": 123,
"concurrency": 123
},
"scorers": [
{
"artifactId": 123,
"versionId": 123,
"contentHash": "<string>",
"required": False
}
],
"riskPackVersionIds": ["<string>"],
"description": "<string>",
"datasetVersionId": "<string>",
"ownerId": "<string>",
"createdFromRunId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
idempotencyKey: '<string>',
target: {
type: 'prompt',
artifactId: 123,
versionId: 123,
contentHash: '<string>',
environment: '<string>'
},
seed: 123,
variants: [
{
provider: '<string>',
model: '<string>',
key: '<string>',
routingProfileId: '<string>',
parameters: {}
}
],
budget: {maxCostUsd: 123, maxModelCalls: 123, concurrency: 123},
scorers: [{artifactId: 123, versionId: 123, contentHash: '<string>', required: false}],
riskPackVersionIds: ['<string>'],
description: '<string>',
datasetVersionId: '<string>',
ownerId: '<string>',
createdFromRunId: '<string>'
})
};
fetch('https://evalgate.com/api/red-team/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"campaign": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"ownerId": "<string>",
"status": "<string>",
"createIdempotencyKey": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"version": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "<string>",
"version": 123,
"status": "<string>",
"targetType": "<string>",
"targetArtifactId": 123,
"targetArtifactVersionId": 123,
"targetContentHash": "<string>",
"snapshotHash": "<string>",
"snapshot": {
"schemaVersion": 1,
"target": {
"type": "prompt",
"artifactId": 123,
"versionId": 123,
"contentHash": "<string>",
"environment": "<string>"
},
"seed": 123,
"variants": [
{
"provider": "<string>",
"model": "<string>",
"parameters": {},
"key": "<string>",
"routingProfileId": "<string>"
}
],
"budget": {
"maxCostUsd": 123,
"maxModelCalls": 123,
"concurrency": 123
},
"riskPackVersions": [
{
"artifactId": 123,
"versionId": 123,
"contentHash": "<string>",
"taxonomy": "<string>",
"taxonomyVersion": "<string>"
}
],
"attackCases": [
{
"input": "<string>",
"severity": "low",
"id": "<string>",
"contentHash": "<string>",
"source": "generated",
"category": "prompt_injection",
"reviewStatus": "approved",
"riskPackVersionId": 123,
"caseKey": "<string>",
"technique": "<string>",
"expectedSafeBehavior": "<string>",
"successIndicators": [
"<string>"
]
}
],
"scorers": [
{
"artifactId": 123,
"versionId": 123,
"contentHash": "<string>",
"required": true
}
],
"datasetVersionId": "<string>",
"createdFromRunId": "<string>"
},
"createdFromRunId": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"approvedBy": "<string>",
"approvalRationale": "<string>",
"approvedAt": "2023-11-07T05:31:56Z"
},
"idempotent": true
}{
"campaign": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"ownerId": "<string>",
"status": "<string>",
"createIdempotencyKey": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"version": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "<string>",
"version": 123,
"status": "<string>",
"targetType": "<string>",
"targetArtifactId": 123,
"targetArtifactVersionId": 123,
"targetContentHash": "<string>",
"snapshotHash": "<string>",
"snapshot": {
"schemaVersion": 1,
"target": {
"type": "prompt",
"artifactId": 123,
"versionId": 123,
"contentHash": "<string>",
"environment": "<string>"
},
"seed": 123,
"variants": [
{
"provider": "<string>",
"model": "<string>",
"parameters": {},
"key": "<string>",
"routingProfileId": "<string>"
}
],
"budget": {
"maxCostUsd": 123,
"maxModelCalls": 123,
"concurrency": 123
},
"riskPackVersions": [
{
"artifactId": 123,
"versionId": 123,
"contentHash": "<string>",
"taxonomy": "<string>",
"taxonomyVersion": "<string>"
}
],
"attackCases": [
{
"input": "<string>",
"severity": "low",
"id": "<string>",
"contentHash": "<string>",
"source": "generated",
"category": "prompt_injection",
"reviewStatus": "approved",
"riskPackVersionId": 123,
"caseKey": "<string>",
"technique": "<string>",
"expectedSafeBehavior": "<string>",
"successIndicators": [
"<string>"
]
}
],
"scorers": [
{
"artifactId": 123,
"versionId": 123,
"contentHash": "<string>",
"required": true
}
],
"datasetVersionId": "<string>",
"createdFromRunId": "<string>"
},
"createdFromRunId": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"approvedBy": "<string>",
"approvalRationale": "<string>",
"approvedAt": "2023-11-07T05:31:56Z"
},
"idempotent": true
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create red team campaigns
